Investors, warrants & staking
Bulk Warrant Upload
Bulk-creates DRAFT warrants from row data, resolving investors by external ID and investor entity.
POSThttps://api.toku.com/tga/bulk-warrant-upload
Not available to API keys yet. It will need grants:write.
curl --request POST \
--url 'https://api.toku.com/tga/bulk-warrant-upload' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"warrantName": "string",
"warrantDescription": "string",
"warrantConfigurationID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"warrantAmount": "string",
"purchasePrice": "string",
"lockupPeriodMonths": "string",
"roleInOrgExternalID": "string",
"issueDate": "string",
"expirationDate": "string",
"agreementSignedAt": "string",
"investorEntityID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]'200 response
{
"count": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
warrantNamestringrequiredAllowed: 1 to 200 characters
warrantDescriptionstringrequiredAllowed: at most 5000 characters
warrantConfigurationIDstring<uuid>requiredwarrantAmountstring | numberrequiredpurchasePricestring | numberrequiredlockupPeriodMonthsstring | numberrequiredroleInOrgExternalIDstring | numberrequiredissueDatestring | string<date-time>requiredexpirationDatestring | string<date-time>agreementSignedAtstring | string<date-time>investorEntityIDstring | null<uuid>Response
200Successful response
countintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits